Bug 135207 - Graphical installer should be smaller than whole screen for unknown display driver
Graphical installer should be smaller than whole screen for unknown display d...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-10 07:31 EDT by Matthew Mott
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 07:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Mott 2004-10-10 07:31:37 EDT
Description of problem:
The xorg "nv" driver which is used for nVidia display cards results in
an offset to the right of the monitor picture (compared with the
proper Nvidia drivers under Linux and Windows). As the graphical
installer takes up the entire screen, the rightmost 1 cm or so is
obscured when installing with an nVidia card. This may also be the
case with other video cards.

Version-Release number of selected component (if applicable):
Fedora Core 2, installation DVD

How reproducible:
Always

Steps to Reproduce:
N/A
  
Actual results:
As above

Expected results:
As the picture alignment of a display driver may vary, it would be
better for the graphical installer to take up only 90% (or so) of the
screen, much like the Windows XP installer. This would ensure that all
parts of the screen were visible even if there was a display offset.
This is obviously not a serious issue, but this fix would make the
installation seem a bit more professional.
Comment 1 Jeremy Katz 2004-10-17 18:11:24 EDT
The nv driver is doing a different offset than the nvidia driver with
the same config in other ways.  This is a driver bug in X.
Comment 2 Matthew Mott 2004-12-07 14:15:15 EST
This is not just a problem with nv driver - I have installed Fedora on other
machines with different graphics card (e.g. Intel integrated graphics
controller) and this problem has occurred. It would be solved by making the
installer use a smaller percentage of the screen than 100%, thus allowing for
any offsets/borders.
Comment 3 Mike A. Harris 2005-02-11 18:30:16 EST
It is not 100% clear what you are saying here, but I can make
a few guesses.  It sounds to me like you are describing that you
are getting a virtual resolution (root window size) that is larger
than the physical resolution (video mode) when in the installer.

For example, your display might be in 640x480 physical resolution,
but the root window is 1024x768 (hypothetically), resulting in part
of the installer screen being off screen.  In this case you would
have a desktop that scrolls around when your mouse pointer reaches
the sides of the physical display.

Does this describe the problem you are seeing?

If so, this is not an installer bug at all.  It would most likely
be that ddcprobe and/or the X server is unable to DDC probe your
display.  This can occur if you are using a non-DDC capable monitor,
or if you are using a KVM switch.  It can also occur if the "nv"
driver does not fully support the specific nvidia chip on the
card you have.  THere are other reasons why this may not work
also.

The installer has a minimum size which is required.  If your display
can not be detected properly, then you will either get the scrolling
virtual desktop, or you will have to perform a text mode installation.

Comment 4 Mike A. Harris 2005-02-11 18:30:57 EST
Setting status to "NEEDINFO", awaiting response to comment #3.
Comment 5 Matthew Mott 2005-02-12 06:24:30 EST
No, it's not that.

The problem is that on analogue monitors, the horizontal alignment of
the picture produced by the nv driver is a couple of centimetres to
the right of the equivalent picture produced by the closed-source
nvidia drivers (on both Windows and Linux). This is presumably due to
the timing of the signal (which can be adjusted by xvidtune) on
analogue monitors; the problem does not occur on digital monitors.

For long-term use, this problem can obviously be resolved either
through xvidtune or by adjusting the controls on the monitor to
re-align the picture. However, for the installer, my suggestion was to
deliberately leave an unused border around the edge of the screen, so
that the installer window would fit on the screen in its entirety
without needing to adjust the alignment controls on the monitor.
Comment 6 Mike A. Harris 2005-04-15 07:06:21 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.